
public class Class225_Sub41 extends Class225 {

   Class150 aClass150_8744;
   Class400_Sub3 aClass400_Sub3_8745;
   RS2Buffer aClass225_Sub23_8746;
   int anInt8747;
   int anInt8748;
   int anInt8749;
   Class423 aClass423_8750;
   int anInt8751;
   Class225_Sub23_Sub2 aClass225_Sub23_Sub2_8752;
   Interface15 anInterface15_8753;
   Interface10 anInterface10_8754;
   int anInt8755;
   Class150 aClass150_8756;
   float[][] aFloatArrayArray8757;
   float[][] aFloatArrayArray8758;
   Class545_Sub1 aClass545_Sub1_8759;
   Class225_Sub40 aClass225_Sub40_8760;
   float[][] aFloatArrayArray8761;
   int anInt8762;


   void method14121(int var1, int var2, int var3, int var4, int var5, int var6) {
      long var7 = -1L;
      int var9 = var5 + (var3 << this.aClass400_Sub3_8745.anInt4909 * -1451148795);
      int var10 = var6 + (var4 << this.aClass400_Sub3_8745.anInt4909 * -1451148795);
      int var11 = this.aClass400_Sub3_8745.method6791(var9, var10, 701663251);
      if((var5 & 127) == 0 || (var6 & 127) == 0) {
         var7 = ((long)var10 & 65535L) << 16 | (long)var9 & 65535L;
         Class225_Sub18 var12 = (Class225_Sub18)this.aClass423_8750.method7211(var7);
         if(var12 != null) {
            this.method14122(var12.aShort8562);
            return;
         }
      }

      short var29 = (short)(this.anInt8751++);
      if(var7 != -1L) {
         this.aClass423_8750.method7206(new Class225_Sub18(var29), var7);
      }

      float var13;
      float var14;
      float var15;
      float var17;
      float var16;
      float var19;
      float var18;
      float var21;
      float var20;
      float var23;
      float var22;
      if(var5 == 0 && var6 == 0) {
         var13 = this.aFloatArrayArray8757[var1][var2];
         var14 = this.aFloatArrayArray8758[var1][var2];
         var15 = this.aFloatArrayArray8761[var1][var2];
      } else if(var5 == this.aClass400_Sub3_8745.anInt4910 * 2111724147 && var6 == 0) {
         var13 = this.aFloatArrayArray8757[var1 + 1][var2];
         var14 = this.aFloatArrayArray8758[var1 + 1][var2];
         var15 = this.aFloatArrayArray8761[var1 + 1][var2];
      } else if(var5 == this.aClass400_Sub3_8745.anInt4910 * 2111724147 && var6 == this.aClass400_Sub3_8745.anInt4910 * 2111724147) {
         var13 = this.aFloatArrayArray8757[var1 + 1][var2 + 1];
         var14 = this.aFloatArrayArray8758[var1 + 1][var2 + 1];
         var15 = this.aFloatArrayArray8761[var1 + 1][var2 + 1];
      } else if(var5 == 0 && var6 == this.aClass400_Sub3_8745.anInt4910 * 2111724147) {
         var13 = this.aFloatArrayArray8757[var1][var2 + 1];
         var14 = this.aFloatArrayArray8758[var1][var2 + 1];
         var15 = this.aFloatArrayArray8761[var1][var2 + 1];
      } else {
         var16 = (float)var5 / (float)(this.aClass400_Sub3_8745.anInt4910 * 2111724147);
         var17 = (float)var6 / (float)(this.aClass400_Sub3_8745.anInt4910 * 2111724147);
         var18 = this.aFloatArrayArray8757[var1][var2];
         var19 = this.aFloatArrayArray8758[var1][var2];
         var20 = this.aFloatArrayArray8761[var1][var2];
         var21 = this.aFloatArrayArray8757[var1 + 1][var2];
         var22 = this.aFloatArrayArray8758[var1 + 1][var2];
         var23 = this.aFloatArrayArray8761[var1 + 1][var2];
         var18 += (this.aFloatArrayArray8757[var1][var2 + 1] - var18) * var16;
         var19 += (this.aFloatArrayArray8758[var1][var2 + 1] - var19) * var16;
         var20 += (this.aFloatArrayArray8761[var1][var2 + 1] - var20) * var16;
         var21 += (this.aFloatArrayArray8757[var1 + 1][var2 + 1] - var21) * var16;
         var22 += (this.aFloatArrayArray8758[var1 + 1][var2 + 1] - var22) * var16;
         var23 += (this.aFloatArrayArray8761[var1 + 1][var2 + 1] - var23) * var16;
         var13 = var18 + (var21 - var18) * var17;
         var14 = var19 + (var22 - var19) * var17;
         var15 = var20 + (var23 - var20) * var17;
      }

      var16 = (float)(this.aClass225_Sub40_8760.method14103(1219848375) - var9);
      var17 = (float)(this.aClass225_Sub40_8760.method14104(-1281861896) - var11);
      var18 = (float)(this.aClass225_Sub40_8760.method14105((byte)44) - var10);
      var19 = (float)Math.sqrt((double)(var16 * var16 + var17 * var17 + var18 * var18));
      var20 = 1.0F / var19;
      var16 *= var20;
      var17 *= var20;
      var18 *= var20;
      var21 = var19 / (float)this.aClass225_Sub40_8760.method14113(1504000321);
      var22 = 1.0F - var21 * var21;
      if(var22 < 0.0F) {
         var22 = 0.0F;
      }

      var23 = var16 * var13 + var17 * var14 + var18 * var15;
      if(var23 < 0.0F) {
         var23 = 0.0F;
      }

      float var24 = var23 * var22 * 2.0F;
      if(var24 > 1.0F) {
         var24 = 1.0F;
      }

      int var25 = this.aClass225_Sub40_8760.method14107(-1453187642);
      int var26 = (int)(var24 * (float)(var25 >> 16 & 255));
      if(var26 > 255) {
         var26 = 255;
      }

      int var27 = (int)(var24 * (float)(var25 >> 8 & 255));
      if(var27 > 255) {
         var27 = 255;
      }

      int var28 = (int)(var24 * (float)(var25 & 255));
      if(var28 > 255) {
         var28 = 255;
      }

      if(this.aClass545_Sub1_8759.aBool9257) {
         this.aClass225_Sub23_Sub2_8752.method16093((float)var9);
         this.aClass225_Sub23_Sub2_8752.method16093((float)var11);
         this.aClass225_Sub23_Sub2_8752.method16093((float)var10);
      } else {
         this.aClass225_Sub23_Sub2_8752.method16094((float)var9);
         this.aClass225_Sub23_Sub2_8752.method16094((float)var11);
         this.aClass225_Sub23_Sub2_8752.method16094((float)var10);
      }

      this.aClass225_Sub23_Sub2_8752.writeByte(var26, -765864773);
      this.aClass225_Sub23_Sub2_8752.writeByte(var27, -765864773);
      this.aClass225_Sub23_Sub2_8752.writeByte(var28, -765864773);
      this.aClass225_Sub23_Sub2_8752.writeByte(255, -765864773);
      this.method14122(var29);
   }

   void method14122(short var1) {
      if(this.aClass545_Sub1_8759.aBool9257) {
         this.aClass225_Sub23_8746.writeShort(var1, 1684072533);
      } else {
         this.aClass225_Sub23_8746.method13704(var1, 1094649230);
      }

   }

   void method14123(int var1, int var2, int var3, int var4, int var5, int var6) {
      long var7 = -1L;
      int var9 = var5 + (var3 << this.aClass400_Sub3_8745.anInt4909 * -1451148795);
      int var10 = var6 + (var4 << this.aClass400_Sub3_8745.anInt4909 * -1451148795);
      int var11 = this.aClass400_Sub3_8745.method6791(var9, var10, 701663251);
      if((var5 & 127) == 0 || (var6 & 127) == 0) {
         var7 = ((long)var10 & 65535L) << 16 | (long)var9 & 65535L;
         Class225_Sub18 var12 = (Class225_Sub18)this.aClass423_8750.method7211(var7);
         if(var12 != null) {
            this.method14122(var12.aShort8562);
            return;
         }
      }

      short var29 = (short)(this.anInt8751++);
      if(var7 != -1L) {
         this.aClass423_8750.method7206(new Class225_Sub18(var29), var7);
      }

      float var13;
      float var14;
      float var15;
      float var17;
      float var16;
      float var19;
      float var18;
      float var21;
      float var20;
      float var23;
      float var22;
      if(var5 == 0 && var6 == 0) {
         var13 = this.aFloatArrayArray8757[var1][var2];
         var14 = this.aFloatArrayArray8758[var1][var2];
         var15 = this.aFloatArrayArray8761[var1][var2];
      } else if(var5 == this.aClass400_Sub3_8745.anInt4910 * 2111724147 && var6 == 0) {
         var13 = this.aFloatArrayArray8757[var1 + 1][var2];
         var14 = this.aFloatArrayArray8758[var1 + 1][var2];
         var15 = this.aFloatArrayArray8761[var1 + 1][var2];
      } else if(var5 == this.aClass400_Sub3_8745.anInt4910 * 2111724147 && var6 == this.aClass400_Sub3_8745.anInt4910 * 2111724147) {
         var13 = this.aFloatArrayArray8757[var1 + 1][var2 + 1];
         var14 = this.aFloatArrayArray8758[var1 + 1][var2 + 1];
         var15 = this.aFloatArrayArray8761[var1 + 1][var2 + 1];
      } else if(var5 == 0 && var6 == this.aClass400_Sub3_8745.anInt4910 * 2111724147) {
         var13 = this.aFloatArrayArray8757[var1][var2 + 1];
         var14 = this.aFloatArrayArray8758[var1][var2 + 1];
         var15 = this.aFloatArrayArray8761[var1][var2 + 1];
      } else {
         var16 = (float)var5 / (float)(this.aClass400_Sub3_8745.anInt4910 * 2111724147);
         var17 = (float)var6 / (float)(this.aClass400_Sub3_8745.anInt4910 * 2111724147);
         var18 = this.aFloatArrayArray8757[var1][var2];
         var19 = this.aFloatArrayArray8758[var1][var2];
         var20 = this.aFloatArrayArray8761[var1][var2];
         var21 = this.aFloatArrayArray8757[var1 + 1][var2];
         var22 = this.aFloatArrayArray8758[var1 + 1][var2];
         var23 = this.aFloatArrayArray8761[var1 + 1][var2];
         var18 += (this.aFloatArrayArray8757[var1][var2 + 1] - var18) * var16;
         var19 += (this.aFloatArrayArray8758[var1][var2 + 1] - var19) * var16;
         var20 += (this.aFloatArrayArray8761[var1][var2 + 1] - var20) * var16;
         var21 += (this.aFloatArrayArray8757[var1 + 1][var2 + 1] - var21) * var16;
         var22 += (this.aFloatArrayArray8758[var1 + 1][var2 + 1] - var22) * var16;
         var23 += (this.aFloatArrayArray8761[var1 + 1][var2 + 1] - var23) * var16;
         var13 = var18 + (var21 - var18) * var17;
         var14 = var19 + (var22 - var19) * var17;
         var15 = var20 + (var23 - var20) * var17;
      }

      var16 = (float)(this.aClass225_Sub40_8760.method14103(640558640) - var9);
      var17 = (float)(this.aClass225_Sub40_8760.method14104(-1865558451) - var11);
      var18 = (float)(this.aClass225_Sub40_8760.method14105((byte)15) - var10);
      var19 = (float)Math.sqrt((double)(var16 * var16 + var17 * var17 + var18 * var18));
      var20 = 1.0F / var19;
      var16 *= var20;
      var17 *= var20;
      var18 *= var20;
      var21 = var19 / (float)this.aClass225_Sub40_8760.method14113(1090828404);
      var22 = 1.0F - var21 * var21;
      if(var22 < 0.0F) {
         var22 = 0.0F;
      }

      var23 = var16 * var13 + var17 * var14 + var18 * var15;
      if(var23 < 0.0F) {
         var23 = 0.0F;
      }

      float var24 = var23 * var22 * 2.0F;
      if(var24 > 1.0F) {
         var24 = 1.0F;
      }

      int var25 = this.aClass225_Sub40_8760.method14107(-1971724878);
      int var26 = (int)(var24 * (float)(var25 >> 16 & 255));
      if(var26 > 255) {
         var26 = 255;
      }

      int var27 = (int)(var24 * (float)(var25 >> 8 & 255));
      if(var27 > 255) {
         var27 = 255;
      }

      int var28 = (int)(var24 * (float)(var25 & 255));
      if(var28 > 255) {
         var28 = 255;
      }

      if(this.aClass545_Sub1_8759.aBool9257) {
         this.aClass225_Sub23_Sub2_8752.method16093((float)var9);
         this.aClass225_Sub23_Sub2_8752.method16093((float)var11);
         this.aClass225_Sub23_Sub2_8752.method16093((float)var10);
      } else {
         this.aClass225_Sub23_Sub2_8752.method16094((float)var9);
         this.aClass225_Sub23_Sub2_8752.method16094((float)var11);
         this.aClass225_Sub23_Sub2_8752.method16094((float)var10);
      }

      this.aClass225_Sub23_Sub2_8752.writeByte(var26, -765864773);
      this.aClass225_Sub23_Sub2_8752.writeByte(var27, -765864773);
      this.aClass225_Sub23_Sub2_8752.writeByte(var28, -765864773);
      this.aClass225_Sub23_Sub2_8752.writeByte(255, -765864773);
      this.method14122(var29);
   }

   void method14124(int var1, int var2, int var3, boolean[][] var4) {
      if(this.anInterface15_8753 != null) {
         if(this.anInt8762 <= var1 + var3) {
            if(this.anInt8748 >= var1 - var3) {
               if(this.anInt8749 <= var2 + var3) {
                  if(this.anInt8755 >= var2 - var3) {
                     for(int var5 = this.anInt8749; var5 <= this.anInt8755; ++var5) {
                        for(int var6 = this.anInt8762; var6 <= this.anInt8748; ++var6) {
                           int var7 = var6 - var1;
                           int var8 = var5 - var2;
                           if(var7 > -var3 && var7 < var3 && var8 > -var3 && var8 < var3 && var4[var7 + var3][var8 + var3]) {
                              this.aClass545_Sub1_8759.method14603((int)(this.aClass225_Sub40_8760.method14110(-546401293) * 255.0F) << 24);
                              this.aClass545_Sub1_8759.method14625(this.aClass150_8744, (Class150)null, this.aClass150_8756, (Class150)null);
                              this.aClass545_Sub1_8759.method14610(this.anInterface15_8753, 4, 0, this.anInt8747);
                              return;
                           }
                        }
                     }

                  }
               }
            }
         }
      }
   }

   Class225_Sub41(Class545_Sub1 var1, Class400_Sub3 var2, Class225_Sub40 var3, int[] var4) {
      this.aClass545_Sub1_8759 = var1;
      this.aClass225_Sub40_8760 = var3;
      this.aClass400_Sub3_8745 = var2;
      int var5 = this.aClass225_Sub40_8760.method14113(1229763070) - (var2.anInt4910 * 2111724147 >> 1);
      this.anInt8762 = this.aClass225_Sub40_8760.method14103(1719627018) - var5 >> var2.anInt4909 * -1451148795;
      this.anInt8748 = this.aClass225_Sub40_8760.method14103(1704725958) + var5 >> var2.anInt4909 * -1451148795;
      this.anInt8749 = this.aClass225_Sub40_8760.method14105((byte)33) - var5 >> var2.anInt4909 * -1451148795;
      this.anInt8755 = this.aClass225_Sub40_8760.method14105((byte)65) + var5 >> var2.anInt4909 * -1451148795;
      int var6 = this.anInt8748 - this.anInt8762 + 1;
      int var7 = this.anInt8755 - this.anInt8749 + 1;
      this.aFloatArrayArray8757 = new float[var6 + 1][var7 + 1];
      this.aFloatArrayArray8758 = new float[var6 + 1][var7 + 1];
      this.aFloatArrayArray8761 = new float[var6 + 1][var7 + 1];

      int var8;
      int var9;
      int var10;
      int var11;
      int var12;
      int var13;
      for(var8 = 0; var8 <= var7; ++var8) {
         var9 = var8 + this.anInt8749;
         if(var9 > 0 && var9 < this.aClass400_Sub3_8745.anInt4908 * 1696648095 - 1) {
            for(var10 = 0; var10 <= var6; ++var10) {
               var11 = var10 + this.anInt8762;
               if(var11 > 0 && var11 < this.aClass400_Sub3_8745.anInt4911 * 1724373523 - 1) {
                  var12 = var2.method6789(var11 + 1, var9, (byte)3) - var2.method6789(var11 - 1, var9, (byte)3);
                  var13 = var2.method6789(var11, var9 + 1, (byte)3) - var2.method6789(var11, var9 - 1, (byte)3);
                  float var14 = (float)(1.0D / Math.sqrt((double)(var12 * var12 + 65536 + var13 * var13)));
                  this.aFloatArrayArray8757[var10][var8] = (float)var12 * var14;
                  this.aFloatArrayArray8758[var10][var8] = -256.0F * var14;
                  this.aFloatArrayArray8761[var10][var8] = (float)var13 * var14;
               }
            }
         }
      }

      var8 = 0;

      for(var9 = this.anInt8749; var9 <= this.anInt8755; ++var9) {
         if(var9 >= 0 && var9 < var2.anInt4908 * 1696648095) {
            for(var10 = this.anInt8762; var10 <= this.anInt8748; ++var10) {
               if(var10 >= 0 && var10 < var2.anInt4911 * 1724373523) {
                  var11 = var4[var8];
                  int[] var18 = var2.anIntArrayArrayArray9557[var10][var9];
                  if(var18 != null && var11 != 0) {
                     if(var11 == 1) {
                        for(var13 = 0; var13 < var18.length; var13 += 3) {
                           if(var18[var13] != -1 && var18[var13 + 1] != -1 && var18[var13 + 2] != -1) {
                              this.anInt8747 += 3;
                           }
                        }
                     } else {
                        this.anInt8747 += 3;
                     }
                  }
               }

               ++var8;
            }
         } else {
            var8 += this.anInt8748 - this.anInt8762;
         }
      }

      if(this.anInt8747 > 0) {
         this.aClass225_Sub23_8746 = new RS2Buffer(this.anInt8747 * 2);
         this.aClass225_Sub23_Sub2_8752 = new Class225_Sub23_Sub2(this.anInt8747 * 16);
         this.aClass423_8750 = new Class423(Class468.method7880(this.anInt8747, (byte)-124));
         var9 = 0;
         var8 = 0;

         for(var10 = this.anInt8749; var10 <= this.anInt8755; ++var10) {
            if(var10 >= 0 && var10 < var2.anInt4908 * 1696648095) {
               var11 = 0;

               for(var12 = this.anInt8762; var12 <= this.anInt8748; ++var12) {
                  if(var12 >= 0 && var12 < var2.anInt4911 * 1724373523) {
                     var13 = var4[var8];
                     int[] var19 = var2.anIntArrayArrayArray9557[var12][var10];
                     if(var19 != null && var13 != 0) {
                        if(var13 == 1) {
                           int[] var15 = var2.anIntArrayArrayArray9562[var12][var10];
                           int[] var16 = var2.anIntArrayArrayArray9571[var12][var10];
                           int var17 = 0;

                           while(var17 < var19.length) {
                              if(var19[var17] != -1 && var19[var17 + 1] != -1 && var19[var17 + 2] != -1) {
                                 this.method14123(var11, var9, var12, var10, var15[var17], var16[var17]);
                                 ++var17;
                                 this.method14123(var11, var9, var12, var10, var15[var17], var16[var17]);
                                 ++var17;
                                 this.method14123(var11, var9, var12, var10, var15[var17], var16[var17]);
                                 ++var17;
                              } else {
                                 var17 += 3;
                              }
                           }
                        } else if(var13 == 3) {
                           this.method14123(var11, var9, var12, var10, 0, 0);
                           this.method14123(var11, var9, var12, var10, var2.anInt4910 * 2111724147, 0);
                           this.method14123(var11, var9, var12, var10, 0, var2.anInt4910 * 2111724147);
                        } else if(var13 == 2) {
                           this.method14123(var11, var9, var12, var10, var2.anInt4910 * 2111724147, 0);
                           this.method14123(var11, var9, var12, var10, var2.anInt4910 * 2111724147, var2.anInt4910 * 2111724147);
                           this.method14123(var11, var9, var12, var10, 0, 0);
                        } else if(var13 == 5) {
                           this.method14123(var11, var9, var12, var10, var2.anInt4910 * 2111724147, var2.anInt4910 * 2111724147);
                           this.method14123(var11, var9, var12, var10, 0, var2.anInt4910 * 2111724147);
                           this.method14123(var11, var9, var12, var10, var2.anInt4910 * 2111724147, 0);
                        } else if(var13 == 4) {
                           this.method14123(var11, var9, var12, var10, 0, var2.anInt4910 * 2111724147);
                           this.method14123(var11, var9, var12, var10, 0, 0);
                           this.method14123(var11, var9, var12, var10, var2.anInt4910 * 2111724147, var2.anInt4910 * 2111724147);
                        }
                     }
                  }

                  ++var8;
                  ++var11;
               }
            } else {
               var8 += this.anInt8748 - this.anInt8762;
            }

            ++var9;
         }

         this.anInterface15_8753 = this.aClass545_Sub1_8759.method14581(5123, this.aClass225_Sub23_8746.buffer, this.aClass225_Sub23_8746.position * -543666943, false);
         this.anInterface10_8754 = this.aClass545_Sub1_8759.method14582(16, this.aClass225_Sub23_Sub2_8752.buffer, this.aClass225_Sub23_Sub2_8752.position * -543666943, false);
         this.aClass150_8744 = new Class150(this.anInterface10_8754, 5126, 3, 0);
         this.aClass150_8756 = new Class150(this.anInterface10_8754, 5121, 4, 12);
      } else {
         this.anInterface15_8753 = null;
         this.anInterface10_8754 = null;
         this.aClass150_8744 = null;
         this.aClass150_8756 = null;
      }

      this.aClass225_Sub23_Sub2_8752 = null;
      this.aClass225_Sub23_8746 = null;
      this.aClass423_8750 = null;
      this.aFloatArrayArray8761 = (float[][])null;
      this.aFloatArrayArray8758 = (float[][])null;
      this.aFloatArrayArray8757 = (float[][])null;
   }

   void method14125(int var1, int var2, int var3, boolean[][] var4) {
      if(this.anInterface15_8753 != null) {
         if(this.anInt8762 <= var1 + var3) {
            if(this.anInt8748 >= var1 - var3) {
               if(this.anInt8749 <= var2 + var3) {
                  if(this.anInt8755 >= var2 - var3) {
                     for(int var5 = this.anInt8749; var5 <= this.anInt8755; ++var5) {
                        for(int var6 = this.anInt8762; var6 <= this.anInt8748; ++var6) {
                           int var7 = var6 - var1;
                           int var8 = var5 - var2;
                           if(var7 > -var3 && var7 < var3 && var8 > -var3 && var8 < var3 && var4[var7 + var3][var8 + var3]) {
                              this.aClass545_Sub1_8759.method14603((int)(this.aClass225_Sub40_8760.method14110(442911324) * 255.0F) << 24);
                              this.aClass545_Sub1_8759.method14625(this.aClass150_8744, (Class150)null, this.aClass150_8756, (Class150)null);
                              this.aClass545_Sub1_8759.method14610(this.anInterface15_8753, 4, 0, this.anInt8747);
                              return;
                           }
                        }
                     }

                  }
               }
            }
         }
      }
   }

   void method14126(short var1) {
      if(this.aClass545_Sub1_8759.aBool9257) {
         this.aClass225_Sub23_8746.writeShort(var1, 825013520);
      } else {
         this.aClass225_Sub23_8746.method13704(var1, 1094649230);
      }

   }

   void method14127(int var1, int var2, int var3, boolean[][] var4) {
      if(this.anInterface15_8753 != null) {
         if(this.anInt8762 <= var1 + var3) {
            if(this.anInt8748 >= var1 - var3) {
               if(this.anInt8749 <= var2 + var3) {
                  if(this.anInt8755 >= var2 - var3) {
                     for(int var5 = this.anInt8749; var5 <= this.anInt8755; ++var5) {
                        for(int var6 = this.anInt8762; var6 <= this.anInt8748; ++var6) {
                           int var7 = var6 - var1;
                           int var8 = var5 - var2;
                           if(var7 > -var3 && var7 < var3 && var8 > -var3 && var8 < var3 && var4[var7 + var3][var8 + var3]) {
                              this.aClass545_Sub1_8759.method14603((int)(this.aClass225_Sub40_8760.method14110(-819659416) * 255.0F) << 24);
                              this.aClass545_Sub1_8759.method14625(this.aClass150_8744, (Class150)null, this.aClass150_8756, (Class150)null);
                              this.aClass545_Sub1_8759.method14610(this.anInterface15_8753, 4, 0, this.anInt8747);
                              return;
                           }
                        }
                     }

                  }
               }
            }
         }
      }
   }

   void method14128(int var1, int var2, int var3, boolean[][] var4) {
      if(this.anInterface15_8753 != null) {
         if(this.anInt8762 <= var1 + var3) {
            if(this.anInt8748 >= var1 - var3) {
               if(this.anInt8749 <= var2 + var3) {
                  if(this.anInt8755 >= var2 - var3) {
                     for(int var5 = this.anInt8749; var5 <= this.anInt8755; ++var5) {
                        for(int var6 = this.anInt8762; var6 <= this.anInt8748; ++var6) {
                           int var7 = var6 - var1;
                           int var8 = var5 - var2;
                           if(var7 > -var3 && var7 < var3 && var8 > -var3 && var8 < var3 && var4[var7 + var3][var8 + var3]) {
                              this.aClass545_Sub1_8759.method14603((int)(this.aClass225_Sub40_8760.method14110(975546765) * 255.0F) << 24);
                              this.aClass545_Sub1_8759.method14625(this.aClass150_8744, (Class150)null, this.aClass150_8756, (Class150)null);
                              this.aClass545_Sub1_8759.method14610(this.anInterface15_8753, 4, 0, this.anInt8747);
                              return;
                           }
                        }
                     }

                  }
               }
            }
         }
      }
   }
}
